Get program spending summary report
curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/reports/spending/summary \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"card_definition_id": "<string>",
"success": 123,
"success_on_reward": 123,
"success_on_order": 123,
"points": 123,
"points_on_rewards": 123,
"points_on_order": 123,
"amount_on_order": 123,
"object": "spending_summary_report"
}
],
"object": "report"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Get program spending summary report
Documentation in progress
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Returns total points-spending statistics for the program (all time), optionally filtered by card definition.
GET
/
v2
/
loyalties
/
programs
/
{programId}
/
reports
/
spending
/
summary
Get program spending summary report
curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/reports/spending/summary \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"card_definition_id": "<string>",
"success": 123,
"success_on_reward": 123,
"success_on_order": 123,
"points": 123,
"points_on_rewards": 123,
"points_on_order": 123,
"amount_on_order": 123,
"object": "spending_summary_report"
}
],
"object": "report"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
X-App-Id & X-App-TokenbearerAuth
Path Parameters
Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).
Query Parameters
Field filters, e.g. filters[card_definition_id][conditions][$is]=lcdef_.... Each field accepts a conditions object with condition operators.
Filters for spending reports.
Show child attributes
Show child attributes
Last modified on September 18, 2026

